<?php

chdir("../../");
require_once("config.php");
require_once("firstin.php");
require_once("secure/secure.php");
require_once("include-sesvars.php");

$uni = $_REQUEST['uniqueid'];
$uniuni = preg_replace("/[^a-zA-Z0-9]/","",$uni);

$resource = "IVR details drill down";

if( check_acl($resource)) {


?>

<table class='table striped table-bordered xreport' width='99%' cellpadding='3' cellspacing='3' border='0' id='table2' >
    <thead>
        <tr>
            <th><?php echo trans('Date')?></th>
            <th><?php echo trans('UniqueID')?></th>
            <th><?php echo trans('Real Flow')?></th>
            <th><?php echo trans('Flow')?></th>
            <th><?php echo trans('Menu')?></th>
            <th><?php echo trans('Event')?></th>
            <th><?php echo trans('Data')?></th>
            <th><?php echo trans('Seconds')?></th>
        </tr>
    </thead>
    <tbody>
<?php

if(isset($config['date_format'][''])) {
    $dfor = $config['date_format'][''];
    $campofecha="date_format(datetime,'$dfor') as datetimeprint, datetime as datetime, unix_timestamp(datetime) as epoch";
} else {
    $campofecha='datetime as datetimeprint, datetime as datetime, unix_timestamp(datetime) as epoch';
}

$query = "SELECT $campofecha,uniqueid,realflow,flow,menu,event,data  ";
$query.= "FROM asterisk.fop2_ivrflowlog ";
$query.= "WHERE uniqueid='$uni' ";
$query.= "ORDER BY datetime,id";

$res = consulta_db($query);

$contador=0;
$lastepoch=0;
while($row=$db->fetch_assoc($res)) {
    $cual = $contador % 2;
    if($cual>0) { $odd = " class='even' "; } else { $odd = " class='odd' "; }
    $contador++;
    if($lastepoch==0) { 
        $delta=0; 
    } else {
        $delta+=$row['epoch']-$lastepoch;
    }
    $lastepoch=$row['epoch'];
    echo "<tr $odd>";
    echo "<td>".$row['datetimeprint']."</td>";
    echo "<td>".$row['uniqueid']."</td>";
    echo "<td>".$row['realflow']."</td>";
    echo "<td>".$row['flow']."</td>";
    echo "<td>".$row['menu']."</td>";
    echo "<td>".$row['event']."</td>";
    echo "<td>".$row['data']."</td>";
    echo "<td>".$delta."</td>";
    echo "</tr>";
}

echo " </tbody></table><br/>\n";

}
